import { AisMessageBase } from "./ais-message-base";
import { CodesForShipType } from "../common/codes-for-ship";
import { EpfdFixTypes } from "../common/epfd-fix-types";
export declare class AisMessage05 extends AisMessageBase {
    constructor(payloadBits: number[]);
    readonly ais_version: number;
    readonly imo: number;
    readonly callsign: string;
    readonly shipname: string;
    readonly shiptype: CodesForShipType;
    readonly to_bow: number;
    readonly to_stern: number;
    readonly to_port: number;
    readonly to_starboard: number;
    readonly epfd: EpfdFixTypes;
    readonly month: number;
    readonly day: number;
    readonly hour: number;
    readonly minute: number;
    readonly draught: number;
    readonly destination: string;
    readonly dte: boolean;
}
