"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ais_message_base_1 = require("./ais-message-base");
var AisMessage09 = (function (_super) {
    __extends(AisMessage09, _super);
    function AisMessage09(payloadBits) {
        return _super.call(this, 9, payloadBits) || this;
    }
    Object.defineProperty(AisMessage09.prototype, "alt", {
        get: function () { return _super.prototype.toInt.call(this, 38, 12); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "speed", {
        get: function () { return _super.prototype.toInt.call(this, 50, 10); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "accuracy", {
        get: function () { return _super.prototype.toInt.call(this, 60, 1); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "lon", {
        get: function () { return _super.prototype.toInt.call(this, 61, 28); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "lonDeg", {
        get: function () { return _super.prototype.getLongitudeDeg.call(this, this.lon); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "lat", {
        get: function () { return _super.prototype.toInt.call(this, 89, 27); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "latDeg", {
        get: function () { return _super.prototype.getLatitudeDeg.call(this, this.lat); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "course", {
        get: function () { return _super.prototype.toInt.call(this, 116, 12); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "second", {
        get: function () { return _super.prototype.toInt.call(this, 128, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "regional", {
        get: function () { return _super.prototype.toInt.call(this, 134, 8); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "dte", {
        get: function () { return _super.prototype.toBoolean.call(this, 142); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "assigned", {
        get: function () { return _super.prototype.toBoolean.call(this, 146); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "raim", {
        get: function () { return _super.prototype.toBoolean.call(this, 147); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage09.prototype, "radio", {
        get: function () { return _super.prototype.toInt.call(this, 148, 19); },
        enumerable: true,
        configurable: true
    });
    return AisMessage09;
}(ais_message_base_1.AisMessageBase));
exports.AisMessage09 = AisMessage09;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/message/ais-message-09.js.map