"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ais_message_base_1 = require("./ais-message-base");
var AisMessage18 = (function (_super) {
    __extends(AisMessage18, _super);
    function AisMessage18(payloadBits) {
        return _super.call(this, 18, payloadBits) || this;
    }
    Object.defineProperty(AisMessage18.prototype, "speed", {
        get: function () { return _super.prototype.toInt.call(this, 46, 10); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "accuracy", {
        get: function () { return _super.prototype.toBoolean.call(this, 56); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "lon", {
        get: function () { return _super.prototype.toInt.call(this, 57, 28); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "lonDeg", {
        get: function () { return _super.prototype.getLongitudeDeg.call(this, this.lon); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "lat", {
        get: function () { return _super.prototype.toInt.call(this, 85, 27); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "latDeg", {
        get: function () { return _super.prototype.getLatitudeDeg.call(this, this.lat); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "course", {
        get: function () { return _super.prototype.toInt.call(this, 112, 12); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "heading", {
        get: function () { return _super.prototype.toInt.call(this, 124, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "regional", {
        get: function () { return _super.prototype.toInt.call(this, 133, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "second", {
        get: function () { return _super.prototype.toInt.call(this, 139, 2); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "cs", {
        get: function () { return _super.prototype.toBoolean.call(this, 141); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "display", {
        get: function () { return _super.prototype.toBoolean.call(this, 142); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "dsc", {
        get: function () { return _super.prototype.toBoolean.call(this, 143); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "band", {
        get: function () { return _super.prototype.toBoolean.call(this, 144); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "msg22", {
        get: function () { return _super.prototype.toBoolean.call(this, 145); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "assigned", {
        get: function () { return _super.prototype.toBoolean.call(this, 146); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "raim", {
        get: function () { return _super.prototype.toBoolean.call(this, 147); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage18.prototype, "radio", {
        get: function () { return _super.prototype.toInt.call(this, 148, 20); },
        enumerable: true,
        configurable: true
    });
    return AisMessage18;
}(ais_message_base_1.AisMessageBase));
exports.AisMessage18 = AisMessage18;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/message/ais-message-18.js.map