"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ais_message_base_1 = require("./ais-message-base");
var AisMessage19 = (function (_super) {
    __extends(AisMessage19, _super);
    function AisMessage19(payloadBits) {
        return _super.call(this, 19, payloadBits) || this;
    }
    Object.defineProperty(AisMessage19.prototype, "speed", {
        get: function () { return _super.prototype.toInt.call(this, 46, 10); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "accuracy", {
        get: function () { return _super.prototype.toBoolean.call(this, 56); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "lon", {
        get: function () { return _super.prototype.toInt.call(this, 57, 28); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "lonDeg", {
        get: function () { return _super.prototype.getLongitudeDeg.call(this, this.lon); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "lat", {
        get: function () { return _super.prototype.toInt.call(this, 85, 27); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "latDeg", {
        get: function () { return _super.prototype.getLatitudeDeg.call(this, this.lat); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "course", {
        get: function () { return _super.prototype.toInt.call(this, 112, 12); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "heading", {
        get: function () { return _super.prototype.toInt.call(this, 124, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "second", {
        get: function () { return _super.prototype.toInt.call(this, 133, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "regional", {
        get: function () { return _super.prototype.toInt.call(this, 139, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "shipname", {
        get: function () { return _super.prototype.toSixBitString.call(this, 143, 20); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "shiptype", {
        get: function () { return _super.prototype.toInt.call(this, 263, 8); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "to_bow", {
        get: function () { return _super.prototype.toInt.call(this, 271, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "to_stern", {
        get: function () { return _super.prototype.toInt.call(this, 280, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "to_port", {
        get: function () { return _super.prototype.toInt.call(this, 289, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "to_starboard", {
        get: function () { return _super.prototype.toInt.call(this, 295, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "epfd", {
        get: function () { return _super.prototype.toInt.call(this, 301, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "raim", {
        get: function () { return _super.prototype.toBoolean.call(this, 305); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "dte", {
        get: function () { return _super.prototype.toBoolean.call(this, 306); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage19.prototype, "assigned", {
        get: function () { return _super.prototype.toInt.call(this, 307, 1); },
        enumerable: true,
        configurable: true
    });
    return AisMessage19;
}(ais_message_base_1.AisMessageBase));
exports.AisMessage19 = AisMessage19;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/message/ais-message-19.js.map