import { AisMessageBase } from "./ais-message-base";
import { EpfdFixTypes } from "../common/epfd-fix-types";
export declare class AisMessage21 extends AisMessageBase {
    constructor(payloadBits: number[]);
    readonly aid_type: number;
    readonly name: string;
    readonly accuracy: boolean;
    readonly lon: number;
    readonly lonDeg: number;
    readonly lat: number;
    readonly latDeg: number;
    readonly to_bow: number;
    readonly to_stern: number;
    readonly to_port: number;
    readonly to_starboard: number;
    readonly epfd: EpfdFixTypes;
    readonly second: number;
    readonly off_position: boolean;
    readonly regional: number;
    readonly raim: boolean;
    readonly virtual_aid: boolean;
    readonly assigned: boolean;
    readonly nameExtension: string;
}
