"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ais_message_base_1 = require("./ais-message-base");
var AisMessage27 = (function (_super) {
    __extends(AisMessage27, _super);
    function AisMessage27(payloadBits) {
        return _super.call(this, 27, payloadBits) || this;
    }
    Object.defineProperty(AisMessage27.prototype, "accuracy", {
        get: function () { return _super.prototype.toInt.call(this, 38, 1); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage27.prototype, "raim", {
        get: function () { return _super.prototype.toBoolean.call(this, 39); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage27.prototype, "status", {
        get: function () { return _super.prototype.toInt.call(this, 40, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage27.prototype, "lon", {
        get: function () { return _super.prototype.toInt.call(this, 44, 18); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage27.prototype, "lonDeg", {
        get: function () { return _super.prototype.getLongitudeDeg.call(this, this.lon); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage27.prototype, "lat", {
        get: function () { return _super.prototype.toInt.call(this, 62, 17); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage27.prototype, "latDeg", {
        get: function () { return _super.prototype.getLatitudeDeg.call(this, this.lat); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage27.prototype, "speed", {
        get: function () { return _super.prototype.toInt.call(this, 79, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage27.prototype, "course", {
        get: function () { return _super.prototype.toInt.call(this, 85, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage27.prototype, "gnss", {
        get: function () { return _super.prototype.toInt.call(this, 94, 1); },
        enumerable: true,
        configurable: true
    });
    return AisMessage27;
}(ais_message_base_1.AisMessageBase));
exports.AisMessage27 = AisMessage27;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/message/ais-message-27.js.map