import { AisMessage } from "./ais-message";
export declare abstract class AisMessageBase implements AisMessage {
    private _type;
    private payloadBits;
    protected constructor(_type: number, payloadBits: number[]);
    readonly type: number;
    readonly repeat: number;
    readonly mmsi: number;
    protected toInt(index: number, length: number): number;
    protected toBoolean(index: number): boolean;
    protected toSixBitString(index: number, charSize: number): string;
    protected getLongitudeDeg(raw_longitude: number): number;
    protected getLatitudeDeg(raw_latitude: number): number;
}
