"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ais_message_base_1 = require("./ais-message-base");
var AisMessageCNB = (function (_super) {
    __extends(AisMessageCNB, _super);
    function AisMessageCNB() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(AisMessageCNB.prototype, "status", {
        get: function () { return _super.prototype.toInt.call(this, 38, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "turn", {
        get: function () { return _super.prototype.toInt.call(this, 42, 8); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "speed", {
        get: function () { return _super.prototype.toInt.call(this, 50, 10); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "accuracy", {
        get: function () { return _super.prototype.toBoolean.call(this, 60); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "lon", {
        get: function () { return _super.prototype.toInt.call(this, 61, 28); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "lonDeg", {
        get: function () { return _super.prototype.getLongitudeDeg.call(this, this.lon); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "lat", {
        get: function () { return _super.prototype.toInt.call(this, 89, 27); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "latDeg", {
        get: function () { return _super.prototype.getLatitudeDeg.call(this, this.lat); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "course", {
        get: function () { return _super.prototype.toInt.call(this, 116, 12) * 0.1; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "heading", {
        get: function () { return _super.prototype.toInt.call(this, 128, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "second", {
        get: function () { return _super.prototype.toInt.call(this, 137, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "maneuver", {
        get: function () { return _super.prototype.toInt.call(this, 143, 2); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "raim", {
        get: function () { return _super.prototype.toBoolean.call(this, 148); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessageCNB.prototype, "radio", {
        get: function () { return _super.prototype.toInt.call(this, 149, 19); },
        enumerable: true,
        configurable: true
    });
    return AisMessageCNB;
}(ais_message_base_1.AisMessageBase));
exports.AisMessageCNB = AisMessageCNB;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/message/ais-message-cnb.js.map