import { Nmea } from "../nmea";
export declare class AivdmNmea extends Nmea {
    private static readonly AIVDM_VDO_REGEX;
    private _packetId;
    private _countOfFragments;
    private _fragmentNumber;
    private _sequentialId;
    private _radioChannel;
    private _payload;
    private _fillBits;
    constructor(_line: string);
    readonly packetId: string;
    readonly countOfFragments: number;
    readonly fragmentNumber: number;
    readonly sequentialId: number;
    readonly radioChannel: string;
    readonly payload: string;
    readonly fillBits: number;
}
