"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var nmea_1 = require("../nmea");
var AivdmNmea = (function (_super) {
    __extends(AivdmNmea, _super);
    function AivdmNmea(_line) {
        var _this = _super.call(this, _line) || this;
        var matched = _line.match(AivdmNmea.AIVDM_VDO_REGEX);
        _this._packetId = matched[1];
        _this._countOfFragments = parseInt(matched[2], 10);
        _this._fragmentNumber = parseInt(matched[3], 10);
        _this._sequentialId = parseInt(matched[4], 10);
        if (isNaN(_this._sequentialId)) {
            _this._sequentialId = null;
        }
        _this._radioChannel = matched[5];
        _this._payload = matched[6];
        _this._fillBits = parseInt(matched[7], 10);
        return _this;
    }
    Object.defineProperty(AivdmNmea.prototype, "packetId", {
        get: function () { return this._packetId; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AivdmNmea.prototype, "countOfFragments", {
        get: function () { return this._countOfFragments; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AivdmNmea.prototype, "fragmentNumber", {
        get: function () { return this._fragmentNumber; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AivdmNmea.prototype, "sequentialId", {
        get: function () { return this._sequentialId; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AivdmNmea.prototype, "radioChannel", {
        get: function () { return this._radioChannel; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AivdmNmea.prototype, "payload", {
        get: function () { return this._payload; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AivdmNmea.prototype, "fillBits", {
        get: function () { return this._fillBits; },
        enumerable: true,
        configurable: true
    });
    return AivdmNmea;
}(nmea_1.Nmea));
AivdmNmea.AIVDM_VDO_REGEX = new RegExp("^[!$](AIVDM|AIVDO),(\\d+),(\\d+),(\\d*),([AB]),([^,\\*]*),([0-5])\\*[0-9a-fA-F]+\r?$");
exports.AivdmNmea = AivdmNmea;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/aivdm/aivdm-nmea.js.map