"use strict";
var aivdm_payload_decoder_1 = require("../aivdm/aivdm-payload-decoder");
var ais_payload_data_converter_1 = require("./ais-payload-data-converter");
var ais_message_01_1 = require("./message/ais-message-01");
var ais_message_02_1 = require("./message/ais-message-02");
var ais_message_03_1 = require("./message/ais-message-03");
var ais_message_04_1 = require("./message/ais-message-04");
var ais_message_05_1 = require("./message/ais-message-05");
var ais_message_06_1 = require("./message/ais-message-06");
var ais_message_07_1 = require("./message/ais-message-07");
var ais_message_08_1 = require("./message/ais-message-08");
var ais_message_09_1 = require("./message/ais-message-09");
var ais_message_10_1 = require("./message/ais-message-10");
var ais_message_11_1 = require("./message/ais-message-11");
var ais_message_12_1 = require("./message/ais-message-12");
var ais_message_13_1 = require("./message/ais-message-13");
var ais_message_14_1 = require("./message/ais-message-14");
var ais_message_15_1 = require("./message/ais-message-15");
var ais_message_16_1 = require("./message/ais-message-16");
var ais_message_17_1 = require("./message/ais-message-17");
var ais_message_18_1 = require("./message/ais-message-18");
var ais_message_19_1 = require("./message/ais-message-19");
var ais_message_20_1 = require("./message/ais-message-20");
var ais_message_21_1 = require("./message/ais-message-21");
var ais_message_22_1 = require("./message/ais-message-22");
var ais_message_23_1 = require("./message/ais-message-23");
var ais_message_24_1 = require("./message/ais-message-24");
var ais_message_25_1 = require("./message/ais-message-25");
var ais_message_26_1 = require("./message/ais-message-26");
var ais_message_27_1 = require("./message/ais-message-27");
var AisFactory = (function () {
    function AisFactory() {
    }
    AisFactory.create = function (sentence) {
        var message;
        var payloadBits = aivdm_payload_decoder_1.AivdmPayloadDecoder.decodeString2Bits(sentence.payload);
        switch (ais_payload_data_converter_1.AisPayloadDataConverter.toInt(payloadBits, 0, 6)) {
            case 1:
                message = new ais_message_01_1.AisMessage01(payloadBits);
                break;
            case 2:
                message = new ais_message_02_1.AisMessage02(payloadBits);
                break;
            case 3:
                message = new ais_message_03_1.AisMessage03(payloadBits);
                break;
            case 4:
                message = new ais_message_04_1.AisMessage04(payloadBits);
                break;
            case 5:
                message = new ais_message_05_1.AisMessage05(payloadBits);
                break;
            case 6:
                message = new ais_message_06_1.AisMessage06(payloadBits);
                break;
            case 7:
                message = new ais_message_07_1.AisMessage07(payloadBits);
                break;
            case 8:
                message = new ais_message_08_1.AisMessage08(payloadBits);
                break;
            case 9:
                message = new ais_message_09_1.AisMessage09(payloadBits);
                break;
            case 10:
                message = new ais_message_10_1.AisMessage10(payloadBits);
                break;
            case 11:
                message = new ais_message_11_1.AisMessage11(payloadBits);
                break;
            case 12:
                message = new ais_message_12_1.AisMessage12(payloadBits);
                break;
            case 13:
                message = new ais_message_13_1.AisMessage13(payloadBits);
                break;
            case 14:
                message = new ais_message_14_1.AisMessage14(payloadBits);
                break;
            case 15:
                message = new ais_message_15_1.AisMessage15(payloadBits);
                break;
            case 16:
                message = new ais_message_16_1.AisMessage16(payloadBits);
                break;
            case 17:
                message = new ais_message_17_1.AisMessage17(payloadBits);
                break;
            case 18:
                message = new ais_message_18_1.AisMessage18(payloadBits);
                break;
            case 19:
                message = new ais_message_19_1.AisMessage19(payloadBits);
                break;
            case 20:
                message = new ais_message_20_1.AisMessage20(payloadBits);
                break;
            case 21:
                message = new ais_message_21_1.AisMessage21(payloadBits);
                break;
            case 22:
                message = new ais_message_22_1.AisMessage22(payloadBits);
                break;
            case 23:
                message = new ais_message_23_1.AisMessage23(payloadBits);
                break;
            case 24:
                message = new ais_message_24_1.AisMessage24(payloadBits);
                break;
            case 25:
                message = new ais_message_25_1.AisMessage25(payloadBits);
                break;
            case 26:
                message = new ais_message_26_1.AisMessage26(payloadBits);
                break;
            case 27:
                message = new ais_message_27_1.AisMessage27(payloadBits);
                break;
            default:
                throw new Error("Unsupported Message Type");
        }
        return message;
    };
    return AisFactory;
}());
exports.AisFactory = AisFactory;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/ais-factory.js.map