"use strict";
var CodesForShipType;
(function (CodesForShipType) {
    CodesForShipType[CodesForShipType["NotAvailable"] = 0] = "NotAvailable";
    CodesForShipType[CodesForShipType["WigAll"] = 20] = "WigAll";
    CodesForShipType[CodesForShipType["WigCategoryA"] = 21] = "WigCategoryA";
    CodesForShipType[CodesForShipType["WigCategoryB"] = 22] = "WigCategoryB";
    CodesForShipType[CodesForShipType["WigCategoryC"] = 23] = "WigCategoryC";
    CodesForShipType[CodesForShipType["WigCategoryD"] = 24] = "WigCategoryD";
    CodesForShipType[CodesForShipType["WigCategoryReserved1"] = 25] = "WigCategoryReserved1";
    CodesForShipType[CodesForShipType["WigCategoryReserved2"] = 26] = "WigCategoryReserved2";
    CodesForShipType[CodesForShipType["WigCategoryReserved3"] = 27] = "WigCategoryReserved3";
    CodesForShipType[CodesForShipType["WigCategoryReserved4"] = 28] = "WigCategoryReserved4";
    CodesForShipType[CodesForShipType["WigCategoryReserved5"] = 29] = "WigCategoryReserved5";
    CodesForShipType[CodesForShipType["Fishing"] = 30] = "Fishing";
    CodesForShipType[CodesForShipType["Towing"] = 31] = "Towing";
    CodesForShipType[CodesForShipType["TowingLengths200Breadth25"] = 32] = "TowingLengths200Breadth25";
    CodesForShipType[CodesForShipType["Dredging"] = 33] = "Dredging";
    CodesForShipType[CodesForShipType["Diving"] = 34] = "Diving";
    CodesForShipType[CodesForShipType["Military"] = 35] = "Military";
    CodesForShipType[CodesForShipType["Sailing"] = 36] = "Sailing";
    CodesForShipType[CodesForShipType["PleasureCraft"] = 37] = "PleasureCraft";
    CodesForShipType[CodesForShipType["Reserved1"] = 38] = "Reserved1";
    CodesForShipType[CodesForShipType["Reserved2"] = 39] = "Reserved2";
    CodesForShipType[CodesForShipType["HscAll"] = 40] = "HscAll";
    CodesForShipType[CodesForShipType["HscCategoryA"] = 41] = "HscCategoryA";
    CodesForShipType[CodesForShipType["HscCategoryB"] = 42] = "HscCategoryB";
    CodesForShipType[CodesForShipType["HscCategoryC"] = 43] = "HscCategoryC";
    CodesForShipType[CodesForShipType["HscCategoryD"] = 44] = "HscCategoryD";
    CodesForShipType[CodesForShipType["HscReserved1"] = 45] = "HscReserved1";
    CodesForShipType[CodesForShipType["HscReserved2"] = 46] = "HscReserved2";
    CodesForShipType[CodesForShipType["HscReserved3"] = 47] = "HscReserved3";
    CodesForShipType[CodesForShipType["HscReserved4"] = 48] = "HscReserved4";
    CodesForShipType[CodesForShipType["HscNoAdditional"] = 49] = "HscNoAdditional";
    CodesForShipType[CodesForShipType["Pilot"] = 50] = "Pilot";
    CodesForShipType[CodesForShipType["SearchRescue"] = 51] = "SearchRescue";
    CodesForShipType[CodesForShipType["Tug"] = 52] = "Tug";
    CodesForShipType[CodesForShipType["PortTender"] = 53] = "PortTender";
    CodesForShipType[CodesForShipType["AntiPollutionEquipment"] = 54] = "AntiPollutionEquipment";
    CodesForShipType[CodesForShipType["LawEnforcement"] = 55] = "LawEnforcement";
    CodesForShipType[CodesForShipType["SpareLocal1"] = 56] = "SpareLocal1";
    CodesForShipType[CodesForShipType["SpareLocal2"] = 57] = "SpareLocal2";
    CodesForShipType[CodesForShipType["MedicalTransport"] = 58] = "MedicalTransport";
    CodesForShipType[CodesForShipType["Noncombatant"] = 59] = "Noncombatant";
    CodesForShipType[CodesForShipType["PassengerAll"] = 60] = "PassengerAll";
    CodesForShipType[CodesForShipType["PassengerCategoryA"] = 61] = "PassengerCategoryA";
    CodesForShipType[CodesForShipType["PassengerCategoryB"] = 62] = "PassengerCategoryB";
    CodesForShipType[CodesForShipType["PassengerCategoryC"] = 63] = "PassengerCategoryC";
    CodesForShipType[CodesForShipType["PassengerCategoryD"] = 64] = "PassengerCategoryD";
    CodesForShipType[CodesForShipType["PassengerReserved1"] = 65] = "PassengerReserved1";
    CodesForShipType[CodesForShipType["PassengerReserved2"] = 66] = "PassengerReserved2";
    CodesForShipType[CodesForShipType["PassengerReserved3"] = 67] = "PassengerReserved3";
    CodesForShipType[CodesForShipType["PassengerReserved4"] = 68] = "PassengerReserved4";
    CodesForShipType[CodesForShipType["PassengerNoAdditional"] = 69] = "PassengerNoAdditional";
    CodesForShipType[CodesForShipType["CargoAll"] = 70] = "CargoAll";
    CodesForShipType[CodesForShipType["CargoCategoryA"] = 71] = "CargoCategoryA";
    CodesForShipType[CodesForShipType["CargoCategoryB"] = 72] = "CargoCategoryB";
    CodesForShipType[CodesForShipType["CargoCategoryC"] = 73] = "CargoCategoryC";
    CodesForShipType[CodesForShipType["CargoCategoryD"] = 74] = "CargoCategoryD";
    CodesForShipType[CodesForShipType["CargoReserved1"] = 75] = "CargoReserved1";
    CodesForShipType[CodesForShipType["CargoReserved2"] = 76] = "CargoReserved2";
    CodesForShipType[CodesForShipType["CargoReserved3"] = 77] = "CargoReserved3";
    CodesForShipType[CodesForShipType["CargoReserved4"] = 78] = "CargoReserved4";
    CodesForShipType[CodesForShipType["CargoNoAdditional"] = 79] = "CargoNoAdditional";
    CodesForShipType[CodesForShipType["TankerAll"] = 80] = "TankerAll";
    CodesForShipType[CodesForShipType["TankerCategoryA"] = 81] = "TankerCategoryA";
    CodesForShipType[CodesForShipType["TankerCategoryB"] = 82] = "TankerCategoryB";
    CodesForShipType[CodesForShipType["TankerCategoryC"] = 83] = "TankerCategoryC";
    CodesForShipType[CodesForShipType["TankerCategoryD"] = 84] = "TankerCategoryD";
    CodesForShipType[CodesForShipType["TankerReserved1"] = 85] = "TankerReserved1";
    CodesForShipType[CodesForShipType["TankerReserved2"] = 86] = "TankerReserved2";
    CodesForShipType[CodesForShipType["TankerReserved3"] = 87] = "TankerReserved3";
    CodesForShipType[CodesForShipType["TankerReserved4"] = 88] = "TankerReserved4";
    CodesForShipType[CodesForShipType["TankerNoAdditional"] = 89] = "TankerNoAdditional";
    CodesForShipType[CodesForShipType["OtherAll"] = 90] = "OtherAll";
    CodesForShipType[CodesForShipType["OtherCategoryA"] = 91] = "OtherCategoryA";
    CodesForShipType[CodesForShipType["OtherCategoryB"] = 92] = "OtherCategoryB";
    CodesForShipType[CodesForShipType["OtherCategoryC"] = 93] = "OtherCategoryC";
    CodesForShipType[CodesForShipType["OtherCategoryD"] = 94] = "OtherCategoryD";
    CodesForShipType[CodesForShipType["OtherReserved1"] = 95] = "OtherReserved1";
    CodesForShipType[CodesForShipType["OtherReserved2"] = 96] = "OtherReserved2";
    CodesForShipType[CodesForShipType["OtherReserved3"] = 97] = "OtherReserved3";
    CodesForShipType[CodesForShipType["OtherReserved4"] = 98] = "OtherReserved4";
    CodesForShipType[CodesForShipType["OtherNoAdditional"] = 99] = "OtherNoAdditional";
})(CodesForShipType = exports.CodesForShipType || (exports.CodesForShipType = {}));
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/common/codes-for-ship.js.map