import { AisMessageBase } from "./ais-message-base";
import { EpfdFixTypes } from "../common/epfd-fix-types";
export declare class AisMessage04 extends AisMessageBase {
    constructor(payloadBits: number[]);
    readonly year: number;
    readonly month: number;
    readonly day: number;
    readonly hour: number;
    readonly minute: number;
    readonly second: number;
    readonly accuracy: boolean;
    readonly lon: number;
    readonly lonDeg: number;
    readonly lat: number;
    readonly latDeg: number;
    readonly epfd: EpfdFixTypes;
    readonly raim: boolean;
    readonly radio: number;
}
