"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ais_message_base_1 = require("./ais-message-base");
var AisMessage04 = (function (_super) {
    __extends(AisMessage04, _super);
    function AisMessage04(payloadBits) {
        return _super.call(this, 4, payloadBits) || this;
    }
    Object.defineProperty(AisMessage04.prototype, "year", {
        get: function () { return _super.prototype.toInt.call(this, 38, 14); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "month", {
        get: function () { return _super.prototype.toInt.call(this, 52, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "day", {
        get: function () { return _super.prototype.toInt.call(this, 56, 5); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "hour", {
        get: function () { return _super.prototype.toInt.call(this, 61, 5); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "minute", {
        get: function () { return _super.prototype.toInt.call(this, 66, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "second", {
        get: function () { return _super.prototype.toInt.call(this, 72, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "accuracy", {
        get: function () { return _super.prototype.toBoolean.call(this, 78); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "lon", {
        get: function () { return _super.prototype.toInt.call(this, 79, 28); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "lonDeg", {
        get: function () { return _super.prototype.getLongitudeDeg.call(this, this.lon); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "lat", {
        get: function () { return _super.prototype.toInt.call(this, 107, 27); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "latDeg", {
        get: function () { return _super.prototype.getLatitudeDeg.call(this, this.lat); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "epfd", {
        get: function () { return _super.prototype.toInt.call(this, 134, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "raim", {
        get: function () { return _super.prototype.toBoolean.call(this, 148); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage04.prototype, "radio", {
        get: function () { return _super.prototype.toInt.call(this, 149, 19); },
        enumerable: true,
        configurable: true
    });
    return AisMessage04;
}(ais_message_base_1.AisMessageBase));
exports.AisMessage04 = AisMessage04;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/message/ais-message-04.js.map