"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ais_message_base_1 = require("./ais-message-base");
var AisMessage05 = (function (_super) {
    __extends(AisMessage05, _super);
    function AisMessage05(payloadBits) {
        return _super.call(this, 5, payloadBits) || this;
    }
    Object.defineProperty(AisMessage05.prototype, "ais_version", {
        get: function () { return _super.prototype.toInt.call(this, 38, 2); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "imo", {
        get: function () { return _super.prototype.toInt.call(this, 40, 30); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "callsign", {
        get: function () { return _super.prototype.toSixBitString.call(this, 70, 7); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "shipname", {
        get: function () { return _super.prototype.toSixBitString.call(this, 112, 20); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "shiptype", {
        get: function () { return _super.prototype.toInt.call(this, 232, 8); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "to_bow", {
        get: function () { return _super.prototype.toInt.call(this, 240, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "to_stern", {
        get: function () { return _super.prototype.toInt.call(this, 249, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "to_port", {
        get: function () { return _super.prototype.toInt.call(this, 258, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "to_starboard", {
        get: function () { return _super.prototype.toInt.call(this, 264, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "epfd", {
        get: function () { return _super.prototype.toInt.call(this, 270, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "month", {
        get: function () { return _super.prototype.toInt.call(this, 274, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "day", {
        get: function () { return _super.prototype.toInt.call(this, 278, 5); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "hour", {
        get: function () { return _super.prototype.toInt.call(this, 283, 5); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "minute", {
        get: function () { return _super.prototype.toInt.call(this, 288, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "draught", {
        get: function () { return _super.prototype.toInt.call(this, 294, 8) / 10.0; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "destination", {
        get: function () { return _super.prototype.toSixBitString.call(this, 302, 20); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage05.prototype, "dte", {
        get: function () { return _super.prototype.toBoolean.call(this, 422); },
        enumerable: true,
        configurable: true
    });
    return AisMessage05;
}(ais_message_base_1.AisMessageBase));
exports.AisMessage05 = AisMessage05;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/message/ais-message-05.js.map