import { AisMessageBase } from "./ais-message-base";
import { EpfdFixTypes } from "../common/epfd-fix-types";
export declare class AisMessage19 extends AisMessageBase {
    constructor(payloadBits: number[]);
    readonly speed: number;
    readonly accuracy: boolean;
    readonly lon: number;
    readonly lonDeg: number;
    readonly lat: number;
    readonly latDeg: number;
    readonly course: number;
    readonly heading: number;
    readonly second: number;
    readonly regional: number;
    readonly shipname: string;
    readonly shiptype: number;
    readonly to_bow: number;
    readonly to_stern: number;
    readonly to_port: number;
    readonly to_starboard: number;
    readonly epfd: EpfdFixTypes;
    readonly raim: boolean;
    readonly dte: boolean;
    readonly assigned: number;
}
