"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ais_message_base_1 = require("./ais-message-base");
var AisMessage21 = (function (_super) {
    __extends(AisMessage21, _super);
    function AisMessage21(payloadBits) {
        return _super.call(this, 21, payloadBits) || this;
    }
    Object.defineProperty(AisMessage21.prototype, "aid_type", {
        get: function () { return _super.prototype.toInt.call(this, 38, 5); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "name", {
        get: function () { return _super.prototype.toSixBitString.call(this, 43, 20); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "accuracy", {
        get: function () { return _super.prototype.toBoolean.call(this, 163); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "lon", {
        get: function () { return _super.prototype.toInt.call(this, 164, 28); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "lonDeg", {
        get: function () { return _super.prototype.getLongitudeDeg.call(this, this.lon); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "lat", {
        get: function () { return _super.prototype.toInt.call(this, 192, 27); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "latDeg", {
        get: function () { return _super.prototype.getLatitudeDeg.call(this, this.lat); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "to_bow", {
        get: function () { return _super.prototype.toInt.call(this, 219, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "to_stern", {
        get: function () { return _super.prototype.toInt.call(this, 228, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "to_port", {
        get: function () { return _super.prototype.toInt.call(this, 237, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "to_starboard", {
        get: function () { return _super.prototype.toInt.call(this, 243, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "epfd", {
        get: function () { return _super.prototype.toInt.call(this, 249, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "second", {
        get: function () { return _super.prototype.toInt.call(this, 253, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "off_position", {
        get: function () { return _super.prototype.toBoolean.call(this, 259); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "regional", {
        get: function () { return _super.prototype.toInt.call(this, 260, 8); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "raim", {
        get: function () { return _super.prototype.toBoolean.call(this, 268); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "virtual_aid", {
        get: function () { return _super.prototype.toBoolean.call(this, 269); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "assigned", {
        get: function () { return _super.prototype.toBoolean.call(this, 270); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage21.prototype, "nameExtension", {
        get: function () { return _super.prototype.toSixBitString.call(this, 272, 14); },
        enumerable: true,
        configurable: true
    });
    return AisMessage21;
}(ais_message_base_1.AisMessageBase));
exports.AisMessage21 = AisMessage21;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/message/ais-message-21.js.map