import { AisMessageBase } from "./ais-message-base";
import { StationType } from "../common/station-type";
import { ShipType } from "../common/ship-type";
import { StationInterval } from "../common/station-interval";
export declare class AisMessage23 extends AisMessageBase {
    constructor(payloadBits: number[]);
    readonly ne_lon: number;
    readonly ne_lat: number;
    readonly sw_lon: number;
    readonly sw_lat: number;
    readonly station_type: StationType;
    readonly ship_type: ShipType;
    readonly txrx: number;
    readonly interval: StationInterval;
    readonly quiet: number;
}
