"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ais_message_base_1 = require("./ais-message-base");
var AisMessage24 = (function (_super) {
    __extends(AisMessage24, _super);
    function AisMessage24(payloadBits) {
        return _super.call(this, 24, payloadBits) || this;
    }
    Object.defineProperty(AisMessage24.prototype, "partno", {
        get: function () { return _super.prototype.toInt.call(this, 38, 2); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "shipname", {
        get: function () { return _super.prototype.toSixBitString.call(this, 40, 20); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "shiptype", {
        get: function () { return _super.prototype.toInt.call(this, 40, 8); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "vendorid", {
        get: function () { return _super.prototype.toSixBitString.call(this, 48, 3); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "model", {
        get: function () { return _super.prototype.toInt.call(this, 66, 4); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "serial", {
        get: function () { return _super.prototype.toInt.call(this, 70, 20); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "callsign", {
        get: function () { return _super.prototype.toSixBitString.call(this, 90, 7); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "to_bow", {
        get: function () { return _super.prototype.toInt.call(this, 132, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "to_stern", {
        get: function () { return _super.prototype.toInt.call(this, 141, 9); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "to_port", {
        get: function () { return _super.prototype.toInt.call(this, 150, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "to_starboard", {
        get: function () { return _super.prototype.toInt.call(this, 156, 6); },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AisMessage24.prototype, "mothership_mmsi", {
        get: function () { return _super.prototype.toInt.call(this, 162, 30); },
        enumerable: true,
        configurable: true
    });
    return AisMessage24;
}(ais_message_base_1.AisMessageBase));
exports.AisMessage24 = AisMessage24;
//# sourceMappingURL=C:/Users/aroll/Projects/AIS/trunk/ts/ais-js/src/ais/message/ais-message-24.js.map