import { AisMessageBase } from "./ais-message-base";
import { NavigationStatus } from "../common/navigation-status";
import { ManeuverIndicator } from "../common/maneuver-indicator";
export declare abstract class AisMessageCNB extends AisMessageBase {
    readonly status: NavigationStatus;
    readonly turn: number;
    readonly speed: number;
    readonly accuracy: boolean;
    readonly lon: number;
    readonly lonDeg: number;
    readonly lat: number;
    readonly latDeg: number;
    readonly course: number;
    readonly heading: number;
    readonly second: number;
    readonly maneuver: ManeuverIndicator;
    readonly raim: boolean;
    readonly radio: number;
}
